Properties Methods Events Config Options Direct Link

    Observable
      GridView
        PivotGridView

# Class Ext.grid.PivotGridView

Package: | Ext.grid
Defined In: | PivotGridView.js
Class: | PivotGridView
Extends: | GridView

Specialised GridView for rendering Pivot Grid components. Config can be passed to the PivotGridView via the PivotGrid constructor's viewConfig option:

    new Ext.grid.PivotGrid({
        viewConfig: {
            title: 'My Pivot Grid',
            getCellCls: function(value) {
                return value > 10 'red' : 'green';
            }
        }
    });

Currently title and getCellCls are the only configuration options accepted by PivotGridView. All other interaction is performed via the PivotGrid class.

## Config Options

Config Options | Defined By
--- | ---

autoFill : Boolean
Defaults to false. Specify true to have the column widths re-proportioned when the grid is initially rendered. The ...
Defaults to `false`. Specify `true` to have the column widths re-proportioned when the grid is initially rendered. The initially configured width of each column will be adjusted to fit the grid width and prevent horizontal scrolling. If columns are later resized (manually or programmatically), the other columns in the grid will not be resized to fit the grid width. See `forceFit` also.

GridView

| cellSelector : String The selector used to find cells internally (defaults to `'td.x-grid3-cell'`) | GridView
| cellSelectorDepth : Number The number of levels to search for cells in event delegation (defaults to `4`) | GridView
| columnsText : String The text displayed in the 'Columns' menu item (defaults to `'Columns'`) | GridView
| deferEmptyText : Boolean True to defer `emptyText` being applied until the store's first load (defaults to `true`). | GridView

emptyText : String
Default text (html tags are accepted) to display in the grid body when no rows are available (defaults to ''). This v...
Default text (html tags are accepted) to display in the grid body when no rows are available (defaults to ''). This value will be used to update the `mainBody`:

    this.mainBody.update('<div class="x-grid-empty">' + this.emptyText + '</div>');

GridView

| enableRowBody : Boolean True to add a second TR element per row that can be used to provide a row body that spans beneath the data row. Use ... True to add a second TR element per row that can be used to provide a row body that spans beneath the data row. Use the getRowClass method's rowParams config to customize the row body. | GridView

forceFit : Boolean
Defaults to false. Specify true to have the column widths re-proportioned at all times. The initially configured wid...

Defaults to `false`. Specify `true` to have the column widths re-proportioned at all times.

The initially configured width of each column will be adjusted to fit the grid width and prevent horizontal scrolling. If columns are later resized (manually or programmatically), the other columns in the grid will be resized to fit the grid width.

Columns which are configured with `fixed: true` are omitted from being resized.

See `autoFill`.

GridView

| getCellCls : Function Optional function which should return a CSS class name for each cell value. This is useful when color coding cells ba... Optional function which should return a CSS class name for each cell value. This is useful when color coding cells based on their value. Defaults to undefined. | PivotGridView
| headerMenuOpenCls : String The CSS class to add to the header cell when its menu is visible. Defaults to 'x-grid3-hd-menu-open' | GridView

headersDisabled : Boolean
True to disable the grid column headers (defaults to false). Use the ColumnModel menuDisabled config to disable the m...
True to disable the grid column headers (defaults to `false`). Use the ColumnModel `menuDisabled` config to disable the menu for individual columns. While this config is true the following will be disabled:

- clicking on header to sort
- the trigger to reveal the menu.

GridView

listeners : Object
A config object containing one or more event handlers to be added to this object during initialization. This should ...

A config object containing one or more event handlers to be added to this object during initialization. This should be a valid listeners config object as specified in the addListener example for attaching multiple handlers at once.

DOM events from ExtJs Components

While some ExtJs Component classes export selected DOM events (e.g. "click", "mouseover" etc), this is usually only done when extra value can be added. For example the DataView's `click` event passing the node clicked on. To access DOM events directly from a Component's HTMLElement, listeners must be added to the Element after the Component has been rendered. A plugin can simplify this step:

    // Plugin is configured with a listeners config object.
    // The Component is appended to the argument list of all handler functions.
    Ext.DomObserver = Ext.extend(Object, {
        constructor: function(config) {
            this.listeners = config.listeners ? config.listeners : config;
        },

        // Component passes itself into plugin's init method
        init: function(c) {
            var p, l = this.listeners;
            for (p in l) {
                if (Ext.isFunction(l[p])) {
                    l[p] = this.createHandler(l[p], c);
                } else {
                    l[p].fn = this.createHandler(l[p].fn, c);
                }
            }

            // Add the listeners to the Element immediately following the render call
            c.render = c.render.createSequence(function() {
                var e = c.getEl();
                if (e) {
                    e.on(l);
                }
            });
        },

        createHandler: function(fn, c) {
            return function(e) {
                fn.call(this, e, c);
            };
        }
    });

    var combo = new Ext.form.ComboBox({

        // Collapse combo when its element is clicked on
        plugins: [ new Ext.DomObserver({
            click: function(evt, comp) {
                comp.collapse();
            }
        })],
        store: myStore,
        typeAhead: true,
        mode: 'local',
        triggerAction: 'all'
    });

Observable

| markDirty : Boolean True to show the dirty cell indicator when a cell has been modified. Defaults to `true`. | GridView
| rowBodySelector : String The selector used to find row bodies internally (defaults to `'div.x-grid3-row'`) | GridView
| rowBodySelectorDepth : Number The number of levels to search for row bodies in event delegation (defaults to `10`) | GridView
| rowOverCls : String The CSS class added to each row when it is hovered over. Defaults to 'x-grid3-row-over' | GridView
| rowSelector : String The selector used to find rows internally (defaults to `'div.x-grid3-row'`) | GridView
| rowSelectorDepth : Number The number of levels to search for rows in event delegation (defaults to `10`) | GridView
| scrollOffset : Number The amount of space to reserve for the vertical scrollbar (defaults to undefined). If an explicit value isn't specifi... The amount of space to reserve for the vertical scrollbar (defaults to `undefined`). If an explicit value isn't specified, this will be automatically calculated. | GridView

selectedRowClass : String
The CSS class applied to a selected row (defaults to 'x-grid3-row-selected'). An example overriding the default styli...
The CSS class applied to a selected row (defaults to `'x-grid3-row-selected'`). An example overriding the default styling:

    .x-grid3-row-selected {background-color: yellow;}

Note that this only controls the row, and will not do anything for the text inside it. To style inner facets (like text) use something like:

    .x-grid3-row-selected .x-grid3-cell-inner {
            color: #FFCC00;
        }

GridView

| sortAscText : String The text displayed in the 'Sort Ascending' menu item (defaults to `'Sort Ascending'`) | GridView
| sortClasses : Array The CSS classes applied to a header when it is sorted. (defaults to `['sort-asc', 'sort-desc']`) | GridView
| sortDescText : String The text displayed in the 'Sort Descending' menu item (defaults to `'Sort Descending'`) | GridView
| title : String Optional title to be placed in the top left corner of the PivotGrid. Defaults to an empty string. | PivotGridView

## Public Properties

Property | Defined By
--- | ---
| Ext.Template : masterTpl The master template to use when rendering the GridView. Has a default template | PivotGridView
| bodyTpl : Ext.Template The template to use when rendering the body. Has a default template | GridView
| cellTpl : Ext.Template The template to use to render each cell. Has a default template | GridView
| colHeaderCellCls : String The CSS class added to all group header cells. Defaults to 'grid-hd-group-cell' | PivotGridView

dragZone : Ext.grid.GridDragZone
A customized implementation of a DragZone which provides default implementations of the template methods of DragZone ...

A customized implementation of a DragZone which provides default implementations of the template methods of DragZone to enable dragging of the selected rows of a GridPanel. See Ext.grid.GridDragZone for details.

This will only be present:

- if the owning GridPanel was configured with enableDragDrop: `true`.
- after the owning GridPanel has been rendered.

GridView

| headerTitleEl : Ext.Element The element that contains the optional title (top left section of the pivot grid) | PivotGridView
| headerTpl : Ext.Template The template to use when rendering headers. Has a default template | GridView
| mainBody : Ext.Element Read-only. The GridView's body Element which encapsulates all rows in the Grid. This Element is only available after ... Read-only. The GridView's body Element which encapsulates all rows in the Grid. This Element is only available after the GridPanel has been rendered. | GridView
| rowHeadersEl : Ext.Element The element containing all row headers | PivotGridView

## Public Methods

Method | Defined By
--- | ---

addEvents( `Object|String o`, `string Optional.` ) : void
Adds the specified events to the list of events which this Observable may fire.
Adds the specified events to the list of events which this Observable may fire.
Parameters:

- `o` : Object|String
  Either an object with event names as properties with a value of `true` or the first event name string if multiple event names are being passed as separate parameters.
- `Optional.` : string
  Event name if multiple event names are being passed as separate parameters. Usage:

      this.addEvents('storeloaded', 'storecleared');

Returns:

- void

Observable

addListener( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] ) : void
Appends an event handler to this object.
Appends an event handler to this object.
Parameters:

- `eventName` : String
  The name of the event to listen for.
- `handler` : Function
  The method the event invokes.
- `scope` : Object
  (optional) The scope (`this` reference) in which the handler function is executed. If omitted, defaults to the object which fired the event.
- `options` : Object
  (optional) An object containing handler configuration. properties. This may contain any of the following properties:
  - scope : Object
    The scope (`this` reference) in which the handler function is executed. If omitted, defaults to the object which fired the event.
  - delay : Number
    The number of milliseconds to delay the invocation of the handler after the event fires.
  - single : Boolean
    True to add a handler to handle just the next firing of the event, and then remove itself.
  - buffer : Number
    Causes the handler to be scheduled to run in an Ext.util.DelayedTask delayed by the specified number of milliseconds. If the event fires again within that time, the original handler is not invoked, but the new handler is scheduled in its place.
  - target : Observable
    Only call the handler if the event was fired on the target Observable, not if the event was bubbled up from a child Observable.

  Combining Options
  Using the options argument, it is possible to combine different types of listeners:
  A delayed, one-time listener.

      myDataView.on('click', this.onClick, this, {
      single: true,
      delay: 100
      });

  Attaching multiple handlers in 1 call
  The method also allows for a single argument to be passed which is a config object containing properties which specify multiple handlers.

      myGridPanel.on({
      'click' : {
          fn: this.onClick,
          scope: this,
          delay: 100
      },
      'mouseover' : {
          fn: this.onMouseOver,
          scope: this
      },
      'mouseout' : {
          fn: this.onMouseOut,
          scope: this
      }
      });

  Or a shorthand syntax:

      myGridPanel.on({
      'click' : this.onClick,
      'mouseover' : this.onMouseOver,
      'mouseout' : this.onMouseOut,
       scope: this
      });

Returns:

- void

Observable

enableBubble( `String/Array events` ) : void
Enables events fired by this Observable to bubble up an owner hierarchy by calling this.getBubbleTarget() if present....

Enables events fired by this Observable to bubble up an owner hierarchy by calling `this.getBubbleTarget()` if present. There is no implementation in the Observable base class.

This is commonly used by Ext.Components to bubble events to owner Containers. See Ext.Component.getBubbleTarget. The default implementation in Ext.Component returns the Component's immediate owner. But if a known target is required, this can be overridden to access the required target more quickly.

Example:

    Ext.override(Ext.form.Field, {
        //  Add functionality to Field's initComponent to enable the change event to bubble
        initComponent : Ext.form.Field.prototype.initComponent.createSequence(function() {
            this.enableBubble('change');
        }),

        //  We know that we want Field's events to bubble directly to the FormPanel.
        getBubbleTarget : function() {
            if (!this.formPanel) {
                this.formPanel = this.findParentByType('form');
            }
            return this.formPanel;
        }
    });

    var myForm = new Ext.formPanel({
        title: 'User Details',
        items: [{
            ...
        }],
        listeners: {
            change: function() {
                // Title goes red if form has been modified.
                myForm.header.setStyle('color', 'red');
            }
        }
    });

Parameters:

- `events` : String/Array
  The event name to bubble, or an Array of event names.

Returns:

- void

Observable

findCellIndex( `HTMLElement el` ) : Number
Return the index of the grid column which contains the passed HTMLElement. See also findRowIndex

Return the index of the grid column which contains the passed HTMLElement.

See also findRowIndex
Parameters:

- `el` : HTMLElement
  The target element

Returns:

- `Number`
  The column index, or <b>false</b> if the target element is not within a row of this GridView.

GridView

findRow( `HTMLElement el` ) : HTMLElement
Return the HtmlElement representing the grid row which contains the passed element.
Return the HtmlElement representing the grid row which contains the passed element.
Parameters:

- `el` : HTMLElement
  The target HTMLElement

Returns:

- `HTMLElement`
  The row element, or null if the target element is not within a row of this GridView.

GridView

findRowBody( `HTMLElement el` ) : HTMLElement
Return the HtmlElement representing the grid row body which contains the passed element.
Return the HtmlElement representing the grid row body which contains the passed element.
Parameters:

- `el` : HTMLElement
  The target HTMLElement

Returns:

- `HTMLElement`
  The row body element, or null if the target element is not within a row body of this GridView.

GridView

findRowIndex( `HTMLElement el` ) : Number
Return the index of the grid row which contains the passed HTMLElement. See also findCellIndex
Return the index of the grid row which contains the passed HTMLElement. See also findCellIndex
Parameters:

- `el` : HTMLElement
  The target HTMLElement

Returns:

- `Number`
  The row index, or <b>false</b> if the target element is not within a row of this GridView.

GridView

fireEvent( `String eventName`, `Object... args` ) : Boolean
Fires the specified event with the passed parameters (minus the event name). An event may be set to bubble up an Obse...

Fires the specified event with the passed parameters (minus the event name).

An event may be set to bubble up an Observable parent hierarchy (See Ext.Component.getBubbleTarget) by calling enableBubble.

Parameters:

- `eventName` : String
  The name of the event to fire.
- `args` : Object...
  Variable number of parameters are passed to handlers.

Returns:

- `Boolean`
  returns false if any of the handlers return false otherwise it returns true.

Observable

focusCell( `Number row`, `Number col` ) : void
Focuses the specified cell.
Focuses the specified cell.
Parameters:

- `row` : Number
  The row index
- `col` : Number
  The column index

Returns:

- void

GridView

focusRow( `Number row` ) : void
Focuses the specified row.
Focuses the specified row.
Parameters:

- `row` : Number
  The row index

Returns:

- void

GridView

getCell( `Number row`, `Number col` ) : HtmlElement
Returns the grid's &lt;td> HtmlElement at the specified coordinates.
Returns the grid's `<td>` HtmlElement at the specified coordinates.
Parameters:

- `row` : Number
  The row index in which to find the cell.
- `col` : Number
  The column index of the cell.

Returns:

- `HtmlElement`
  The td at the specified coordinates.

GridView

getColumnHeaders() : Array
Returns the headers to be rendered at the top of the grid. Should be a 2-dimensional array, where each item specifies...
Returns the headers to be rendered at the top of the grid. Should be a 2-dimensional array, where each item specifies the number of columns it groups (column in this case refers to normal grid columns). In the example below we have 5 city groups, which are each part of a continent supergroup. The colspan for each city group refers to the number of normal grid columns that group spans, so in this case the grid would be expected to have a total of 12 columns:

    [
        {
            items: [
                {header: 'England',   colspan: 5},
                {header: 'USA',       colspan: 3}
            ]
        },
        {
            items: [
                {header: 'London',    colspan: 2},
                {header: 'Cambridge', colspan: 3},
                {header: 'Palo Alto', colspan: 3}
            ]
        }
    ]

In the example above we have cities nested under countries. The nesting could be deeper if desired - e.g. Continent -> Country -> State -> City, or any other structure. The only constaint is that the same depth must be used throughout the structure.
Parameters:

- None.

Returns:

- `Array`
  A tree structure containing the headers to be rendered. Must include the colspan property at each level, which should be the sum of all child nodes beneath this node.

PivotGridView

getGridInnerWidth() : Number
Returns the total internal width available to the grid, taking the scrollbar into account
Returns the total internal width available to the grid, taking the scrollbar into account
Parameters:

- None.

Returns:

- `Number`
  The total width

GridView

getHeaderCell( `Number index` ) : HtmlElement
Return the &lt;td> HtmlElement which represents the Grid's header cell for the specified column index.
Return the `<td>` HtmlElement which represents the Grid's header cell for the specified column index.
Parameters:

- `index` : Number
  The column index

Returns:

- `HtmlElement`
  The td element.

GridView

getRow( `Number index` ) : HtmlElement
Return the &lt;div> HtmlElement which represents a Grid row for the specified index.
Return the `<div>` HtmlElement which represents a Grid row for the specified index.
Parameters:

- `index` : Number
  The row index

Returns:

- `HtmlElement`
  The div element.

GridView

getRowClass( `Record record`, `Number index`, `Object rowParams`, `Store store` ) : String
Override this function to apply custom CSS classes to rows during rendering. You can also supply custom parameters t...
Override this function to apply custom CSS classes to rows during rendering. You can also supply custom parameters to the row template for the current row to customize how it is rendered using the rowParams parameter. This function should return the CSS class name (or empty string '' for none) that will be added to the row's wrapping div. To apply multiple class names, simply return them space-delimited within the string (e.g., 'my-class another-class'). Example usage:

    viewConfig: {
        forceFit: true,
        showPreview: true, // custom property
        enableRowBody: true, // required to create a second, full-width row to show expanded Record data
        getRowClass: function(record, rowIndex, rp, ds){ // rp = rowParams
            if(this.showPreview){
                rp.body = '<p>'+record.data.excerpt+'</p>';
                return 'x-grid3-row-expanded';
            }
            return 'x-grid3-row-collapsed';
        }
    },

Parameters:

- `record` : Record
  The Ext.data.Record corresponding to the current row.
- `index` : Number
  The row index.
- `rowParams` : Object
  A config object that is passed to the row template during rendering that allows customization of various aspects of a grid row.

  If enableRowBody is configured ``true, then the following properties may be set by this function, and will be used to render a full-width expansion row below each grid row:

  - `body` : String
    An HTML fragment to be used as the expansion row's body content (defaults to '').
  - `bodyStyle` : String
    A CSS style specification that will be applied to the expansion row's <tr> element. (defaults to '').
  The following property will be passed in, and may be appended to:
  - `tstyle` : String
    A CSS style specification that willl be applied to the <table> element which encapsulates both the standard grid row, and any expansion row.
- `store` : Store
  The Ext.data.Store this grid is bound to

Returns:

- `String`
  a CSS class name to add to the row.

GridView

getRowHeaders() : Array
Returns the headers to be rendered on the left of the grid. Should be a 2-dimensional array, where each item specifie...
Returns the headers to be rendered on the left of the grid. Should be a 2-dimensional array, where each item specifies the number of rows it groups. In the example below we have 5 city groups, which are each part of a continent supergroup. The rowspan for each city group refers to the number of normal grid columns that group spans, so in this case the grid would be expected to have a total of 12 rows:

    [
        {
            width: 90,
            items: [
                {header: 'England',   rowspan: 5},
                {header: 'USA',       rowspan: 3}
            ]
        },
        {
            width: 50,
            items: [
                {header: 'London',    rowspan: 2},
                {header: 'Cambridge', rowspan: 3},
                {header: 'Palo Alto', rowspan: 3}
            ]
        }
    ]

In the example above we have cities nested under countries. The nesting could be deeper if desired - e.g. Continent -> Country -> State -> City, or any other structure. The only constaint is that the same depth must be used throughout the structure.
Parameters:

- None.

Returns:

- `Array`
  A tree structure containing the headers to be rendered. Must include the colspan property at each level, which should be the sum of all child nodes beneath this node. Each group may specify the width it should be rendered with.

PivotGridView

getTotalRowHeaderWidth() : Number
Returns the total width of all row headers as specified by getRowHeaders
Returns the total width of all row headers as specified by getRowHeaders
Parameters:

- None.

Returns:

- `Number`
  The total width

PivotGridView

handleHdMenuClickDefault( `Ext.menu.BaseItem item` ) : void
Called by handleHdMenuClick if any button except a sort ASC/DESC button was clicked. The default implementation provi...
Called by handleHdMenuClick if any button except a sort ASC/DESC button was clicked. The default implementation provides the column hide/show functionality based on the check state of the menu item. A different implementation can be provided if needed.
Parameters:

- `item` : Ext.menu.BaseItem
  The menu item that was clicked

Returns:

- void

GridView

hasListener( `String eventName` ) : Boolean
Checks to see if this object has any listeners for a specified event
Checks to see if this object has any listeners for a specified event
Parameters:

- `eventName` : String
  The name of the event to check for

Returns:

- `Boolean`
  True if the event is being listened for, else false

Observable

on( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] ) : void
Appends an event handler to this object (shorthand for addListener.)
Appends an event handler to this object (shorthand for addListener.)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope (`this` reference) in which the handler function is executed. If omitted, defaults to the object which fired the event.
- `options` : Object
  (optional) An object containing handler configuration.

Returns:

- void

Observable

purgeListeners() : void
Removes all listeners for this object
Removes all listeners for this object
Parameters:

- None.

Returns:

- void

Observable

refresh( [`Boolean headersToo`] ) : void
Refreshs the grid UI
Refreshs the grid UI
Parameters:

- `headersToo` : Boolean
  (optional) True to also refresh the headers

Returns:

- void

PivotGridView

relayEvents( `Object o`, `Array events` ) : void
Relays selected events from the specified Observable as if the events were fired by this.
Relays selected events from the specified Observable as if the events were fired by `this`.
Parameters:

- `o` : Object
  The Observable whose events this object is to relay.
- `events` : Array
  Array of event names to relay.

Returns:

- void

Observable

removeListener( `String eventName`, `Function handler`, [`Object scope`] ) : void
Removes an event handler.
Removes an event handler.
Parameters:

- `eventName` : String
  The type of event the handler was associated with.
- `handler` : Function
  The handler to remove. This must be a reference to the function passed into the addListener call.
- `scope` : Object
  (optional) The scope originally specified for the handler.

Returns:

- void

Observable

resumeEvents() : void
Resume firing events. (see suspendEvents) If events were suspended using the queueSuspended parameter, then all event...
Resume firing events. (see suspendEvents) If events were suspended using the `queueSuspended` parameter, then all events fired during event suspension will be sent to any listeners now.
Parameters:

- None.

Returns:

- void

Observable

scrollToTop() : void
Scrolls the grid to the top
Scrolls the grid to the top
Parameters:

- None.

Returns:

- void

GridView

setTitle( `String title` ) : void
Sets the title text in the top left segment of the PivotGridView
Sets the title text in the top left segment of the PivotGridView
Parameters:

- `title` : String
  The title

Returns:

- void

PivotGridView

suspendEvents( `Boolean queueSuspended` ) : void
Suspend the firing of all events. (see resumeEvents)
Suspend the firing of all events. (see resumeEvents)
Parameters:

- `queueSuspended` : Boolean
  Pass as true to queue up suspended events to be fired after the resumeEvents call instead of discarding all suspended events;

Returns:

- void

Observable

un( `String eventName`, `Function handler`, [`Object scope`] ) : void
Removes an event handler (shorthand for removeListener.)
Removes an event handler (shorthand for removeListener.)
Parameters:

- `eventName` : String
  The type of event the handler was associated with.
- `handler` : Function
  The handler to remove. This must be a reference to the function passed into the addListener call.
- `scope` : Object
  (optional) The scope originally specified for the handler.

Returns:

- void

Observable

## Public Events

Event | Defined By
--- | ---

beforerefresh : ( `Ext.grid.GridView view` )
Internal UI Event. Fired before the view is refreshed.
Internal UI Event. Fired before the view is refreshed.
Listeners will be called with the following arguments:

- `view` : Ext.grid.GridView

GridView

beforerowremoved : ( `Ext.grid.GridView view`, `Number rowIndex`, `Ext.data.Record record` )
Internal UI Event. Fired before a row is removed.
Internal UI Event. Fired before a row is removed.
Listeners will be called with the following arguments:

- `view` : Ext.grid.GridView
- `rowIndex` : Number
  The index of the row to be removed.
- `record` : Ext.data.Record
  The Record to be removed

GridView

beforerowsinserted : ( `Ext.grid.GridView view`, `Number firstRow`, `Number lastRow` )
Internal UI Event. Fired before rows are inserted.
Internal UI Event. Fired before rows are inserted.
Listeners will be called with the following arguments:

- `view` : Ext.grid.GridView
- `firstRow` : Number
  The index of the first row to be inserted.
- `lastRow` : Number
  The index of the last row to be inserted.

GridView

refresh : ( `Ext.grid.GridView view` )
Internal UI Event. Fired after the GridView's body has been refreshed.
Internal UI Event. Fired after the GridView's body has been refreshed.
Listeners will be called with the following arguments:

- `view` : Ext.grid.GridView

GridView

rowremoved : ( `Ext.grid.GridView view`, `Number rowIndex`, `Ext.data.Record record` )
Internal UI Event. Fired after a row is removed.
Internal UI Event. Fired after a row is removed.
Listeners will be called with the following arguments:

- `view` : Ext.grid.GridView
- `rowIndex` : Number
  The index of the row that was removed.
- `record` : Ext.data.Record
  The Record that was removed

GridView

rowsinserted : ( `Ext.grid.GridView view`, `Number firstRow`, `Number lastRow` )
Internal UI Event. Fired after rows are inserted.
Internal UI Event. Fired after rows are inserted.
Listeners will be called with the following arguments:

- `view` : Ext.grid.GridView
- `firstRow` : Number
  The index of the first inserted.
- `lastRow` : Number
  The index of the last row inserted.

GridView

rowupdated : ( `Ext.grid.GridView view`, `Number firstRow`, `Ext.data.record record` )
Internal UI Event. Fired after a row has been updated.
Internal UI Event. Fired after a row has been updated.
Listeners will be called with the following arguments:

- `view` : Ext.grid.GridView
- `firstRow` : Number
  The index of the row updated.
- `record` : Ext.data.record
  The Record backing the row updated.

GridView